<mat-progress-bar mode="indeterminate" *ngIf="isLoading"></mat-progress-bar>
<div class="composerContainer">
    <div class="unstick">
        <a mat-raised-button (click)="openDialog(dialogType.Contacts)">
            Select Contacts
        </a>
        &nbsp;&nbsp;&nbsp;
        <a mat-raised-button (click)="openDialog(dialogType.List)">
            Select Lists
        </a>
    </div>

    <div class="unstick">
        <mat-chip-list *ngIf="selectedContacts">
            <mat-chip *ngFor="let contact of selectedContacts" [removable]="removable">
                {{contact.contactName}}: {{contact.phoneNumber | roPhone}}
                <mat-icon matChipRemove (click)="removeContact(contact)">cancel</mat-icon>
            </mat-chip>
        </mat-chip-list>
        &nbsp;
        <mat-chip-list *ngIf="selectedLists">
            <mat-chip *ngFor="let list of selectedLists" [removable]="removable">
                {{list.listName}}
                <mat-icon matChipRemove (click)="removeList(list)">cancel</mat-icon>
            </mat-chip>
        </mat-chip-list>
    </div>

    <mat-form-field style="margin: auto 2rem;">
        <mat-label>Message</mat-label>
        <textarea #messageContent matInput rows="10" maxlength="256"></textarea>
        <mat-hint align="end">{{messageContent.value.length}}/256</mat-hint>
    </mat-form-field>

    <div class="unstick">
        <button mat-raised-button color="primary" (click)="sendToContacts(selectedContacts, messageContent.value)"
            *ngIf="selectedContacts.length > 0">
            <mat-icon>send</mat-icon>&nbsp;
            Send SMS to Contacts
        </button>
        <button mat-raised-button color="primary" (click)="sendToLists(selectedLists, messageContent.value)"
            *ngIf="selectedLists.length > 0">
            <mat-icon>send</mat-icon>&nbsp;
            Send SMS to Lists
        </button>
    </div>
</div>